module LessonlyApi
  module ResourceType
    class Assignment < LessonlyApi::ResourceType::Base
      fields(
        :id,
        :assignee_id,
        :ext_id,
        :assignable_id,
        :assignable_type,
        :due_by,
        :reassigned_at,
        :completed_at,
        :updated_at,
        :status,
        :score
        # TODO: i.kamenko how to handle `contents` for assigned Paths?
      )
    end
  end
end
