module LessonlyApi
  module ResourceType
    class Path < LessonlyApi::ResourceType::Base
      fields(
        :resource_type,
        :type,
        :id,
        :title,
        :archived_at,
        :archived_by_user_id,
        :public,
        :created_at,
        :last_updated_at,
        :published_at,
        :publisher_id,
        {tags: [:tag]},
        {links: :links}
      )
    end
  end
end
