class LessonlyApi::Request < LessonlyApi::ResourceType::Base
  delegate :get, :post, :client, to: :class

  class << self
    delegate :send_get, :send_post, :send_put, :send_delete, to: :client

    def client
      LessonlyApi::Utils::Client.instance
    end
  end
end
