module LessonlyApi
  module ResourceType
    class Group < LessonlyApi::ResourceType::Base
      fields(
        :id,
        :type,
        :resource_type,
        :name,
        {members: [:user]},
        {managers: [:user]},
        {archived_at: :date_time},
        :archived_by_user_id
      )
    end
  end
end
