module LessonlyApi
  module ResourceType
    class Lesson < LessonlyApi::ResourceType::Base
      fields(
        :id,
        :type,
        :description,
        :resource_type,
        :title,
        {archived_at: :date_time},
        :archived_by_user_id,
        :retake_score,
        :public,
        {created_at: :date_time},
        {last_updated_at: :date_time},
        {links: :links},
        tags: [:tag],
      )
    end
  end
end
